Subject: Re: [X2Go-Dev] Bug#970: lists.x2go.org domain lacks SPF record.
From: Mike Gabriel <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jan 2024 19:59:02 +0000

Control: close -1

On  Di 24 Nov 2015 14:01:36 CET, Nable wrote:

> Package: lists.x2go.org
> Severity: wishlist
>
> Dear maintainers,
> All messages that were sent from IPv6 address of
> freya.das-netzwerkteam.de are classified by Gmail (and possibly by
> other mail providers) as unwanted and unconditionally fall into "Spam"
> folder. Judging from message headers Gmail is also unsure about
> messages from its IPv4 address but acts more permissive. I always use
> "Not Spam" button for such false-positives but gmail still insists
> that something is wrong with such messages.
>
> I've noticed this problem about a year ago and now it became annoying
> enough to finally file a bug. I don't know the exact reason but it
> looks like the problem may hide in the absence of SPF record [1] for
> lists.x2go.org as this is the only suspicious thing in mail headers.
> Either way, usage of SPF is considered to be a good practice nowadays
> and a lot of companies deploy it.
>
> 1. https://en.wikipedia.org/wiki/Sender_Policy_Framework

Resolved via:

```
[sunweaver@sunobo cups (debian/main)]$ dig TXT lists.x2go.org

; <<>> DiG 9.18.19-1~deb12u1-Debian <<>> TXT lists.x2go.org
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 56764
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 512
;; QUESTION SECTION:
;lists.x2go.org.			IN	TXT

;; ANSWER SECTION:
lists.x2go.org.		7200	IN	TXT	"v=spf1 include:das-netzwerkteam.de mx ?all"

;; Query time: 51 msec
;; SERVER: 192.168.1.253#53(192.168.1.253) (UDP)
;; WHEN: Mon Jan 22 20:57:37 CET 2024
;; MSG SIZE  rcvd: 98
```

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de